lib/security: Fix broken if statements in gpg_validate_boot_files()
[petitboot] / configure.ac
index a4b5fc78693fc3046cce5b3c00e1bfa56274e6f8..566742c63996b454c0c6da7ddbfc270ca766480b 100644 (file)
@@ -16,7 +16,7 @@
 
 AC_INIT([petitboot],
     [m4_esyscmd_s([./version.sh])],
-    [Geoff Levand <geoff@infradead.org>])
+    [https://lists.ozlabs.org/listinfo/petitboot])
 
 AC_CONFIG_MACRO_DIR([m4])
 
@@ -26,7 +26,13 @@ AS_IF([test "x$CFLAGS" = "x"], [AC_SUBST([CFLAGS], [""])])
 
 AC_PROG_CC
 AC_PROG_LEX
+if test -z "$($LEX --version)"; then
+       AC_MSG_ERROR([[Please install flex/lex]])
+fi
 AC_PROG_YACC
+if test -z "$($YACC --version)"; then
+       AC_MSG_ERROR([[Please install bison/yacc]])
+fi
 AC_PROG_INSTALL
 
 AM_INIT_AUTOMAKE
@@ -59,7 +65,7 @@ AC_CHECK_LIB([udev], [udev_new],
 
 PKG_CHECK_EXISTS(libudev >= 218, [old_udev=no], [old_udev=yes])
 if test "$old_udev" = "yes" ; then
-      AC_DEFINE(UDEV_LOGGING, 1, [Support old udev logging interface])],
+      AC_DEFINE(UDEV_LOGGING, 1, [Support old udev logging interface])
 fi
 
 AC_CHECK_LIB([devmapper], [dm_task_create],
@@ -107,7 +113,7 @@ AC_ARG_WITH(
                [build x11 GUI programs using the twin window system [default=yes]]
        )],
        [],
-       [with_twin_x11=yes]
+       [with_twin_x11=no]
 )
 AM_CONDITIONAL([WITH_TWIN_X11], [test "x$with_twin_x11" = "xyes"])
 
@@ -118,7 +124,7 @@ AC_ARG_WITH(
                [build frame buffer GUI programs using the twin window system [default=no]]
        )],
        [],
-       [with_twin_fbdev=yes]
+       [with_twin_fbdev=no]
 )
 AM_CONDITIONAL([WITH_TWIN_FBDEV], [test "x$with_twin_fbdev" = "xyes"])